<!DOCTYPE html>
<html lang="fa" dir="rtl">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/css/owl.carousel.min.css" />
    <link rel="stylesheet" href="./assets/css/owl.theme.default.min.css" />
    <link rel="stylesheet" href="./assets/css/style.css" />
    <title>فانو‌فیلم</title>
  </head>
  <body>
    <section class="setPassword-section">
      <div class="signin-card">
        <div class="signin-card-header">
          <p>تعیین رمزعبور</p>
        </div>

        <div class="signin-card-body">
          <!-- Start of login form -->
          <form action="" class="setPassword-form">
            <div class="signin-input-container">
              <label class="signin-label" for="password">
                رمزعبور
              </label>

              <div class="input-container">
                <img src="assets/img/password.svg" class="icon" alt="" />
                <input
                  class="input-field"
                  id="password"
                  name="password"
                  type="password"
                  placeholder="رمزعبور خود را وارد کنید"
                  required
                />
              </div>
            </div>

            <div class="login-input-container">
              <label class="signin-label" for="passwordConfirm">
                تکرار رمزعبور
              </label>
              <div class="input-container">
                <img src="assets/img/password.svg" class="icon" alt="" />
                <input
                  class="input-field"
                  id="passwordConfirm"
                  name="passwordConfirm"
                  type="password"
                  placeholder="رمزعبور خود را تکرار کنید "
                />
              </div>
            </div>

            <span class="signin-btn btn-login">تکمیل ثبت نام</span>

            <p class="error-msg"></p>
          </form>
          <!-- End of login form -->
        </div>

        <div class="signin-card-footer">
          <p>
            قبلا ثبت نام کرده‌اید؟ <a href="" class="signin-actionLink">ورود</a>
          </p>
        </div>
      </div>
    </section>

    <script src="./assets/js/jquery-3.5.1.min.js"></script>
    <script src="./assets/js/owl.carousel.min.js"></script>
    <script src="./assets/js/script.js"></script>

    <script>
      $(document).ready(function () {
        $(".btn-login").on("click", function (e) {
          e.preventDefault();
          if (!$("#password").val() || !$("#passwordConfirm").val()) {
            $(".error-msg").text("پر کردن فیلد‌ها اجباری است");
          } else if ($("#password").val() !== $("#passwordConfirm").val()) {
            $(".error-msg").text("رمزعبور و تکرار آن مطابقت ندارند");
          } else {
            $(".setPassword-form").submit();
          }
        });
      });
    </script>
  </body>
</html>
